import { type LoaderFunction, useLoaderData } from "react-router-dom";

interface Params {
  player?: string;
  passWd?: string;
  ip?: string;
}

export const loader: LoaderFunction = async ({ params }) => params;

export const Component: React.FC = () => {
  const params = useLoaderData<Params>();
  return <>{JSON.stringify(params)}</>;
};
